S3 Upload Part
  • 01 Jun 2023
  • Dark
    Light

S3 Upload Part

  • Dark
    Light

Article summary

PUThttps://s3. .backblazeb2.com/<your-bucket-name>/<your-key>?partNumber=&uploadId=

This operation uploads a part in a multipart upload.

You must initiate a multipart upload (see S3 Create Multipart Upload) before you can upload any part. In response to your initiate request, Backblaze B2 Cloud Storage returns an UploadId, a unique identifier that you must include in your upload part request.

Encryption:

Parts inherit the encryption selected during CreateMultipartUpload. No additional SSE-B2 header is required.

AUTHORIZATION AWS Signature

This request is using AWS Signature from collection Backblaze B2 Cloud Storage S3 Compatible API.

Note

If Live Read is enabled, the same part size must be used in an Upload Part request unless the part number in the request is larger than or equal to the highest part number previously uploaded.



An invalidArgument error is returned when a part is uploaded that is not the last part but has a part size that is different than the Live Read part size.

PARAMS

partNumber

The number of the part being uploaded, between 1 and 10,000.

uploadId

An Upload ID obtained from S3 Create Multipart Upload

PATH VARIABLES

bucket

Required. The name of the bucket

key

Required. Key of the object to be written.

Example Request

curl --location --request PUT 'https://s3.<your-region>.backblazeb2.com/my-bucket-name/object-1?partNumber=3&uploadId=4_z6145af89f355ac2f74ed0c1b_f2006887251b080dd_d20220128_m232720_c004_v0402000_t0046' \
--data 'object data'

Example Response

200 OK

Body

No response body

This request doesn't return any response body


Headers (9)

Cache-Control

max-age=0, no-cache, no-store

Content-Type

text/plain

Content-Length

0

ETag

"85f30635602dc09bd85957a6e82a2c21"

x-amz-request-id

d6f7509a150075f7

x-amz-id-2

aMa41BGZMOZMztjUfY9JmpzRnZLRjZmIQ

Date

Fri, 28 Jan 2022 23:14:48 GMT

Keep-Alive

timeout=5

Connection

keep-alive

Live Read Error Codes

Error code

Message

HTTP status code

InvalidArgument

This Live Read upload requires parts of size <X> for all but the last part.

400 Bad Request


Was this article helpful?